PUT
/
api
/
v1
/
admin
/
simulation
/
team-sessions
/
{session_id}
/
participants
/
{user_id}
Update Team Simulation Participant
curl --request PUT \
  --url https://api.jobsim.work/api/v1/admin/simulation/team-sessions/{session_id}/participants/{user_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "<string>",
  "readiness_score": 123,
  "workload_state": "<string>",
  "role": "<string>",
  "metadata": {}
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

session_id
string
required
user_id
string
required

Body

application/json

Request payload to update participant simulation state.

status
string | null
readiness_score
integer | null
workload_state
string | null
role
string | null
metadata
Metadata · object

Response

Successful Response